var Alloy = require('/alloy'),
Backbone = Alloy.Backbone,
_ = Alloy._;




function __processArg(obj, key) {
	var arg = null;
	if (obj) {
		arg = obj[key] || null;
		delete obj[key];
	}
	return arg;
}

function Controller() {

	require('/alloy/controllers/' + 'BaseController').apply(this, Array.prototype.slice.call(arguments));
	this.__controllerPath = 'index';
	this.args = arguments[0] || {};

	if (arguments[0]) {
		var __parentSymbol = __processArg(arguments[0], '__parentSymbol');
		var $model = __processArg(arguments[0], '$model');
		var __itemTemplate = __processArg(arguments[0], '__itemTemplate');
	}
	var $ = this;
	var exports = {};
	var __defers = {};







	$.__views.win = Ti.UI.createWindow(
	{ id: "win", left: 0, right: 0, top: 0, bottom: 0 });

	$.__views.win && $.addTopLevelView($.__views.win);
	$.__views.tabBar = Ti.UI.createView(
	{ id: "tabBar", left: 0, right: 0, top: 0, bottom: 0 });

	$.__views.win.add($.__views.tabBar);
	exports.destroy = function () {};




	_.extend($, $.__views);


	var custTabBar = require('custTabBar').makeTabbedBar({
		index: 0,
		labels: ['Preview', 'Locations', 'Map'] });


	$.tabBar.add(custTabBar);

	$.win.open();









	_.extend($, exports);
}

module.exports = Controller;